### File

`packages/components/eui-tree/eui-tree.model.ts`

### Index

###### Properties
Optional chips iconClass Optional iconSvgName iconTypeClass Optional id label metaData Optional rightContent tooltipLabel typeClass typeLabel url urlExternal urlExternalTarget

### Indexable

`[key: string]: `any``

### Properties

chips
`chips: `Array<literal type>``
Type : `Array<literal type>`
Optional

iconClass
`iconClass: `string``
Type : `string`

iconSvgName
`iconSvgName: `string``
Type : `string`
Optional

iconTypeClass
`iconTypeClass: `string``
Type : `string`

id
`id: `string | number``
Type : `string | number`
Optional

label
`label: `string``
Type : `string`

metaData
`metaData: `string``
Type : `string`

rightContent
`rightContent: `literal type``
Type : `literal type`
Optional

tooltipLabel
`tooltipLabel: `string``
Type : `string`

typeClass
`typeClass: `string``
Type : `string`

typeLabel
`typeLabel: `string``
Type : `string`

url
`url: `string``
Type : `string`

urlExternal
`urlExternal: `string``
Type : `string`

urlExternalTarget
`urlExternalTarget: `string``
Type : `string`

# results matching ""

# No results matching ""